# AIStationList Class Reference
[Classes that create a list of items.]

Creates a list of stations of which you are the owner. More...

`#include <ai_stationlist.hpp>`

Inheritance diagram for AIStationList:

## Public Member Functions
| AIStationList (AIStation::StationType station_type)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of stations of which you are the owner.

Definition at line 15 of file ai_stationlist.hpp.

## Constructor & Destructor Documentation

AIStationList::AIStationList | ( | AIStation::StationType | station_type | ) |

Parameters:

  | station_type | The type of station to make a list of stations for.

Definition at line 11 of file ai_stationlist.cpp.

References AIAbstractList::AddItem(), Station::facilities, PoolItem< T, Tid, Tpool >::index, and Station::owner.

The documentation for this class was generated from the following files:

- src/ai/api/ai_stationlist.hpp
- src/ai/api/ai_stationlist.cpp